package com.jeeplus.modules.sg.managementcenter.materialplan.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class MaterialPlan extends DataEntity<MaterialPlan> {
    private String uniqueCode;//物资唯一码（批次编码）
    private String requireCoding;//需求物资编码
    private String description;//物料描述
    private String expansionCode;//物料扩展编码
    private String expansionDescription;//物料扩展描述
    private String bigDescribe;//大类描述
    private String moderateDescribe;//中类描述
    private String smallDescribe;//小类描述
    private Double requireNumber;//需求数量
    private String util;//单位
    private String planToBatch;//计划批次
    private Date deliverySchedule;//供货计划到日
    private String flagStorage;//是否入库
    private Double inventoryQuantity;//库存数量
    private Double numberFrozen;//冻结数量
    private String supplierName;//供应商名称

    @ExcelField(title="物资唯一码", align=2, sort=1)
    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }
    @ExcelField(title="需求物资编码", align=2, sort=2)
    public String getRequireCoding() {
        return requireCoding;
    }

    public void setRequireCoding(String requireCoding) {
        this.requireCoding = requireCoding;
    }
    @ExcelField(title="物料描述", align=2, sort=3)
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    @ExcelField(title="物料扩展编码", align=2, sort=4)
    public String getExpansionCode() {
        return expansionCode;
    }

    public void setExpansionCode(String expansionCode) {
        this.expansionCode = expansionCode;
    }
    @ExcelField(title="物料扩展描述", align=2, sort=5)
    public String getExpansionDescription() {
        return expansionDescription;
    }

    public void setExpansionDescription(String expansionDescription) {
        this.expansionDescription = expansionDescription;
    }
    @ExcelField(title="大类描述", align=2, sort=6)
    public String getBigDescribe() {
        return bigDescribe;
    }

    public void setBigDescribe(String bigDescribe) {
        this.bigDescribe = bigDescribe;
    }
    @ExcelField(title="中类描述", align=2, sort=7)
    public String getModerateDescribe() {
        return moderateDescribe;
    }

    public void setModerateDescribe(String moderateDescribe) {
        this.moderateDescribe = moderateDescribe;
    }
    @ExcelField(title="小类描述", align=2, sort=8)
    public String getSmallDescribe() {
        return smallDescribe;
    }

    public void setSmallDescribe(String smallDescribe) {
        this.smallDescribe = smallDescribe;
    }
    @ExcelField(title="需求数量", align=2, sort=9)
    public Double getRequireNumber() {
        return requireNumber;
    }

    public void setRequireNumber(Double requireNumber) {
        this.requireNumber = requireNumber;
    }
    @ExcelField(title="单位", align=2, sort=10)
    public String getUtil() {
        return util;
    }

    public void setUtil(String util) {
        this.util = util;
    }
    @ExcelField(title="计划批次", align=2, sort=11)
    public String getPlanToBatch() {
        return planToBatch;
    }

    public void setPlanToBatch(String planToBatch) {
        this.planToBatch = planToBatch;
    }
    @ExcelField(title="供货计划到日", align=2, sort=12)
    @JsonFormat(pattern = "YYYY-MM-DD")
    public Date getDeliverySchedule() {
        return deliverySchedule;
    }

    @JsonFormat(pattern = "YYYY-MM-DD")
    public void setDeliverySchedule(Date deliverySchedule) {
        this.deliverySchedule = deliverySchedule;
    }
    @ExcelField(title="是否入库", align=2, sort=13)
    public String getFlagStorage() {
        return flagStorage;
    }

    public void setFlagStorage(String flagStorage) {
        this.flagStorage = flagStorage;
    }

    @ExcelField(title="库存数量", align=2, sort=14)
    public Double getInventoryQuantity() {
        return inventoryQuantity;
    }
    public void setInventoryQuantity(Double inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    @ExcelField(title="冻结数量", align=2, sort=15)
    public Double getNumberFrozen() {
        return numberFrozen;
    }

    public void setNumberFrozen(Double numberFrozen) {
        this.numberFrozen = numberFrozen;
    }

    @ExcelField(title="供应商名称", align=2, sort=16)
    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }


}
